VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::ServicesTypes::ServiceOps Class Reference

`Services.ServiceOps` enumerated type Defines service operations More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, control, status, stop, restart }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static ServiceOps[] | GetValues ()
static ServiceOps | ValueOf (string name)
## Static Public Attributes
static readonly ServiceOps | control = new ServiceOps("control", Values.control)
| The service accepts arbitrary commands and arguments.
static readonly ServiceOps | status = new ServiceOps("status", Values.status)
| The service status can be generated.
static readonly ServiceOps | stop = new ServiceOps("stop", Values.stop)
| The service can be stopped.
static readonly ServiceOps | restart = new ServiceOps("restart", Values.restart)
| The service can be started or restarted.

## Detailed Description

`Services.ServiceOps` enumerated type Defines service operations

## Member Enumeration Documentation

enum vmware::appliance::techpreview::ServicesTypes::ServiceOps::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  control | The service accepts arbitrary commands and arguments.
  status | The service status can be generated.
  stop | The service can be stopped.
  restart | The service can be started or restarted.

## Member Function Documentation

Values vmware::appliance::techpreview::ServicesTypes::ServiceOps::GetEnumValue | ( |  | ) | `[inline]`

static ServiceOps [] vmware::appliance::techpreview::ServicesTypes::ServiceOps::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::ServicesTypes::ServiceOps::IsUnknown | ( |  | ) | `[inline]`

static ServiceOps vmware::appliance::techpreview::ServicesTypes::ServiceOps::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly ServiceOps vmware::appliance::techpreview::ServicesTypes::ServiceOps::control = new ServiceOps("control", Values.control)`[static]`

The service accepts arbitrary commands and arguments.

readonly ServiceOps vmware::appliance::techpreview::ServicesTypes::ServiceOps::restart = new ServiceOps("restart", Values.restart)`[static]`

The service can be started or restarted.

readonly ServiceOps vmware::appliance::techpreview::ServicesTypes::ServiceOps::status = new ServiceOps("status", Values.status)`[static]`

The service status can be generated.

readonly ServiceOps vmware::appliance::techpreview::ServicesTypes::ServiceOps::stop = new ServiceOps("stop", Values.stop)`[static]`

The service can be stopped.

The documentation for this class was generated from the following file:

- ServicesTypes.cs